package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : WMS_拉动计划任务明细表
 * @Reference :
 * @Author : jessica.chen
 * @CreateDate : 2019-11-10 14:21
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name="WMS_PULL_TASK_DETAILS")
@Api("WMS_拉动计划任务明细表")
public class WmsPullTaskDetails extends BaseBean{

    private static final long serialVersionUID = 9214639813072592736L;

    @Column(name="WROKORDER_NO")
    @ApiParam("工单号")
    private String woekorderNo;

    @Column(name="ITEM")
    @ApiParam(value = "行号", example = "0")
    private Integer item = 0;

    @Column(name="TERMINAL_NO")
    @ApiParam("工位代码")
    private String terminalNo;

    @Column(name="LOCATE_NO")
    @ApiParam("库位代码")
    private String locateNo;

    @Column(name="LOCATE_CAPACITY")
    @ApiParam("库位容量")
    private String locateCapacity;

    @Column(name="PART_NO")
    @ApiParam("零件编号")
    private String partNo;

    @Column(name="PART_NAME_RDD")
    @ApiParam("零件名称")
    private String partNameRdd;

    @Column(name="PLAN_PACK_COUNT")
    @ApiParam(value = "计划容器数", example = "0")
    private Integer planPackCount = 0;

    @Column(name="FIRST_BATCH_QTY")
    @ApiParam(value = "首批批量", example = "0")
    private Integer firstBatchQty = 0;

    @Column(name="FIRST_PACK_COUNT")
    @ApiParam(value = "首批容器数", example = "0")
    private Integer firstPackCount = 0;

    @Column(name="REQUEST_QTY")
    @ApiParam(value = "补货批量", example = "0")
    private Integer requestQty = 0;

    @Column(name="REQUEST_PACK_COUNT")
    @ApiParam(value = "补货容器数", example = "0")
    private Integer requestPackCount = 0;

    @Column(name="REQUEST_LOT_NO")
    @ApiParam(value = "补货批次", example = "0")
    private Integer requestLotNo = 0;

    @Column(name="REQUEST_TOTAL_COUNT")
    @ApiParam(value = "补货累加次数", example = "0")
    private Integer requestTotalCount = 0;

    @Column(name="LAST_REQUEST_TIME")
    @ApiParam("上一次补货时间")
    private String lastRequestTtime;

    @Column(name="BOOT_QTY")
    @ApiParam(value = "尾箱批量", example = "0")
    private Integer bootQty = 0;

    @Column(name="BOOT_PACK_COUNT")
    @ApiParam(value = "尾箱容器数", example = "0")
    private Integer bootPackCount = 0;

    @Column(name="BOOT_LOT_NO")
    @ApiParam(value = "尾箱批次", example = "0")
    private Integer bootLotNo = 0;

    @Column(name="ORDER_STATUS")
    @ApiParam(value = "单据状态", example = "0")
    private Integer orderStatus = 0;

    public Integer getOrderStatus() {
        return orderStatus == null ? 0 : this.orderStatus.intValue();
    }

    public Integer getBootLotNo() {
        return bootLotNo == null ? 0 : this.bootLotNo.intValue();
    }

    public Integer getBootPackCount() {
        return bootPackCount == null ? 0 : this.bootPackCount.intValue();
    }

    public Integer getBootQty() {
        return bootQty == null ? 0 : this.bootQty.intValue();
    }

    public Integer getRequestTotalCount() {
        return requestTotalCount == null ? 0 : this.requestTotalCount.intValue();
    }

    public Integer getRequestLotNo() {
        return requestLotNo == null ? 0 : this.requestLotNo.intValue();
    }

    public Integer getRequestPackCount() {
        return requestPackCount == null ? 0 : this.requestPackCount.intValue();
    }

    public Integer getRequestQty() {
        return requestQty == null ? 0 : this.requestQty.intValue();
    }

    public Integer getFirstPackCount() {
        return firstPackCount == null ? 0 : this.firstPackCount.intValue();
    }

    public Integer getFirstBatchQty() {
        return firstBatchQty == null ? 0 : this.firstBatchQty.intValue();
    }

    public Integer getPlanPackCount() {
        return planPackCount == null ? 0 : this.planPackCount.intValue();
    }

    public Integer getItem() {
        return item == null ? 0 : this.item.intValue();
    }

}