package cn.estsh.i3plus.pojo.wms.dto;

import io.swagger.annotations.ApiParam;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Transient;
import java.io.Serializable;

@Data
public class WmsCarDto implements Serializable {

    @Column(name="CAR_NO")
    @ApiParam(value ="车牌号")
    private String carNo;

    @Column(name="CAR_DESC")
    @ApiParam(value ="车辆描述")
    private String carDesc;

    @Column(name="MAX_CAPACITY")
    @ApiParam(value ="载重量(KG)")
    private String maxCapacity;

    @Column(name="DRIVER_NO")
    @ApiParam(value ="默认驾驶员")
    private String driverNo;

    @Column(name="PHONE")
    @ApiParam(value ="车主电话")
    private String phone;

    @Column(name="VENDOR_NO")
    @ApiParam(value ="所属供应商")
    private String vendorNo;

    @Transient
    @ApiParam("司机名称")
    private String driverNameRdd;

    @Transient
    @ApiParam(value = "供应商名称")
    private String vendorNameRdd;

    @ApiParam(value = "是否删除，默认否")
    private Integer isDeleted = 2;

    @ApiParam("是否有效，默认是")
    private Integer isValid = 1;

}
